%define        perl_major_ver  %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-XML-Parser
Version:       2.47
Release:       1mamba
Summary:       XML::Parser - A perl module for parsing XML documents
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/XML-Parser-%{version}.tar.gz
#http://www.cpan.org/authors/id/C/CO/COOPERCL/XML-Parser-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
Requires:      perl >= %perl_major_ver

%description
This module provides ways to parse XML documents.
It is built on top of XML::Parser::Expat, which is a lower level interface to James Clark's expat library.
Each call to one of the parsing methods creates a new instance of XML::Parser::Expat which is then used to parse the document.
Expat options may be provided when the XML::Parser object is created.
These options are then passed on to the Expat object on each parse call.
They can also be given as extra arguments to the parse methods, in which case they override options given at XML::Parser creation time.

The behavior of the parser is controlled either by "Style" and/or "Handlers" options, or by "setHandlers" method.
These all provide mechanisms for XML::Parser to set the handlers needed by XML::Parser::Expat.
If neither Style nor Handlers are specified, then parsing just checks the document for being well-formed.

When underlying handlers get called, they receive as their first parameter the Expat object, not the Parser object.

%prep
%setup -q -n XML-Parser-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Fri Dec 29 2023 Automatic Build System <autodist@mambasoft.it> 2.47-1mamba
- automatic version update by autodist

* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 2.46-2mamba
- rebuilt with perl 5.36.0

* Wed Jan 22 2020 Automatic Build System <autodist@mambasoft.it> 2.46-1mamba
- automatic update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.44_01-2mamba
- rebuilt with perl 5.24

* Mon Aug 29 2016 Automatic Build System <autodist@mambasoft.it> 2.44_01-1mamba
- automatic update by autodist

* Sun Feb 01 2015 Automatic Build System <autodist@mambasoft.it> 2.44-1mamba
- automatic update by autodist

* Mon Dec 29 2014 Automatic Build System <autodist@mambasoft.it> 2.43-1mamba
- automatic update by autodist

* Fri Jul 19 2013 Automatic Build System <autodist@mambasoft.it> 2.42_01-1mamba
- automatic update by autodist

* Fri Feb 08 2013 Automatic Build System <autodist@mambasoft.it> 2.41-1mamba
- update to 2.41

* Sat Nov 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.36-4mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.36-3mamba
- automatic rebuild by autodist

* Fri Oct 31 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.36-2mamba
- rebuilt with perl 5.10

* Sun Jul 20 2008 gil <puntogil@libero.it> 2.36-1mamba
- update to 2.36

* Thu Sep 20 2007 Aleph0 <aleph0@openmamba.org> 2.34-3mamba
- update specfile

* Wed Mar 01 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.34-2qilnx
- spec file fixed and updated

* Tue Oct 26 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.34-1qilnx
- new version build

* Mon Oct 25 2004 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> 2.31-4qilnx
- package created by autospec (rebuilt after SRPM loss)

* Wed Sep 03 2003 Silvan Calarco <silvan.calarco@qinet.it> 2.31-1qilnx
- First build
